> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> List reactions with a specific emoji/unicodes for a message

# List reactions with a specific emoji/unicodes



## OpenAPI

````yaml get /messages/{id}/reactions/{reaction}
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /messages/{id}/reactions/{reaction}:
    get:
      tags:
        - Messages
      summary: List reactions with a specific emoji/unicodes
      description: List reactions with a specific emoji/unicodes for a message
      operationId: get-message-reactions
      parameters:
        - $ref: '#/components/parameters/onBehalfOf'
        - name: id
          in: path
          description: Id of the message whose reactions are to be fetched.
          required: true
          schema:
            type: string
          examples:
            string:
              summary: Message ID
              value: '100'
        - name: reaction
          in: path
          description: reaction whose details are to be fetched.
          required: true
          schema:
            type: string
          examples:
            string:
              summary: Reaction
              value: 😀
      responses:
        '200':
          description: Get Reactions
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items:
                      properties:
                        '':
                          $ref: '#/components/schemas/reactionSchema'
                      type: object
                  meta:
                    properties:
                      '':
                        $ref: '#/components/schemas/messageMetaSchema'
                    type: object
                type: object
              example:
                data:
                  - id: '1'
                    messageId: '1'
                    reaction: 😅
                    uid: cometchat-uid-1
                    reactedAt: 1702638595
                    reactedBy:
                      uid: cometchat-uid-1
                      name: Andrew Joseph
                      avatar: >-
                        https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-1.webp
                      status: available
                      role: default
                      lastActiveAt: 1689082633
                      createdAt: 1684751861
                meta:
                  current:
                    limit: 100
                    count: 1
                  next:
                    affix: append
                    id: '1'
      security:
        - apiKey: []
components:
  parameters:
    onBehalfOf:
      name: onBehalfOf
      in: header
      description: UID of the user on whose behalf the action is performed.
      schema:
        type: string
  schemas:
    reactionSchema:
      description: Response data
      properties:
        id:
          type: string
        messageId:
          type: string
        reaction:
          type: string
        uid:
          type: string
        reactedAt:
          type: integer
        reactedBy:
          properties:
            uid:
              type: string
            name:
              type: string
            role:
              type: string
            avatar:
              type: string
            status:
              type: string
            createdAt:
              type: integer
            conversationId:
              type: string
          type: object
      type: object
    messageMetaSchema:
      properties:
        current:
          properties:
            limit:
              type: integer
            count:
              type: integer
          type: object
        next:
          properties:
            affix:
              type: string
            sentAt:
              type: integer
            id:
              type: string
          type: object
      type: object
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````